Package com.xebialabs.xlrelease.domain.events

## Class PhaseMovedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<Phase,​java.lang.Object,​java.lang.Object,​PhaseMovedEvent>
  - - com.xebialabs.xlrelease.domain.events.PhaseMovedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<Phase,​java.lang.Object,​java.lang.Object,​PhaseMovedEvent>`

      public class PhaseMovedEvent$
      extends scala.runtime.AbstractFunction3<Phase,​java.lang.Object,​java.lang.Object,​PhaseMovedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static PhaseMovedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PhaseMovedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PhaseMovedEvent` | `apply​(Phase movedPhase, int originIndex, int targetIndex)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<Phase,​java.lang.Object,​java.lang.Object>>` | `unapply​(PhaseMovedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface scala.Function3

      `apply`

- - ### Field Detail

    - #### MODULE$

          public static final PhaseMovedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### PhaseMovedEvent$

          public PhaseMovedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<Phase,​java.lang.Object,​java.lang.Object,​PhaseMovedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<Phase,​java.lang.Object,​java.lang.Object,​PhaseMovedEvent>`

    - #### apply

          public PhaseMovedEvent apply​(Phase movedPhase,
                                       int originIndex,
                                       int targetIndex)

    - #### unapply

          public scala.Option<scala.Tuple3<Phase,​java.lang.Object,​java.lang.Object>> unapply​(PhaseMovedEvent x$0)